Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class WorkingSpecs

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.WorkingSpecs

    public class WorkingSpecs

extends Object

Field Summary
`static String` | `cName`
`static int` | `INIT_LIST_SIZE`

Constructor Summary
`WorkingSpecs(List specs, SelectionType type)`
`WorkingSpecs(List specs, SelectionType type, int setLimit)`

Method Summary
`void` | `commit()` commits the last selection results for each spec to that specs results list.
`List` | `getResults()`
`SelectionType` | `getType()`
`boolean` | `isSatisfied()`
`boolean` | `minMet()`
`boolean` | `select()`
`void` | `set(List specs, SelectionType type, int setLimit)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

See Also
  Constants Summary

### INIT_LIST_SIZE

    public static final int INIT_LIST_SIZE

See Also
  Constants Summary

Constructor Detail

### WorkingSpecs

    public WorkingSpecs(List specs,
                        SelectionType type)

### WorkingSpecs

    public WorkingSpecs(List specs,
                        SelectionType type,
                        int setLimit)

Method Detail

### set

    public final void set(List specs,
                          SelectionType type,
                          int setLimit)

### minMet

    public final boolean minMet()

### getType

    public final SelectionType getType()

### isSatisfied

    public final boolean isSatisfied()

### getResults

    public final List getResults()

### commit

    public final void commit()

  commits the last selection results for each spec to that specs results list.

### select

    public final boolean select()

  Returns
    true if the selection was a success, false otherwise. True will be returned if an object could be selected for a query spec or if the maximums of all specs have been met. After a return of false is made the caller should call isMet() to determine if a result set is available. A result set will be available if the minimum is met. Use getResults() to retrieve the final results.

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved